package com.nantian.cloud.jljc.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.entity.StandardLibrary;
import com.nantian.cloud.jljc.mapper.StandardLibraryMapper;
import com.nantian.cloud.jljc.service.StandardLibraryService;
import org.springframework.stereotype.Service;

@Service("StandardLibraryService")
public class StandardLibraryServiceImpl extends ServiceImpl<StandardLibraryMapper, StandardLibrary> implements StandardLibraryService {
    @Override
    public IPage<StandardLibrary> selectall(Page page, StandardLibrary standardLibrary) {
        return baseMapper.selectall(page,standardLibrary);
    }

    @Override
    public boolean update(StandardLibrary standardLibrary) {
        int str=baseMapper.updateall(standardLibrary);
        if (str>0){return true;}
        else { return false;}
    }

    @Override
    public boolean deleteall(StandardLibrary standardLibrary) {
        int str=baseMapper.deleteall(standardLibrary);
        if (str>0){return true;}
        else { return false;}
    }

    @Override
    public boolean insertall(StandardLibrary standardLibrary) {
        int str=baseMapper.insertall(standardLibrary);
        if (str>0){return true;}
        else { return false;}
    }
}
